#!/usr/local/bin/perl
#
# Online Journal program by Sergey Zozulevich, zuzusoft@usa.net
# http://kompashka.hypermart.net/download/
# Version 1.1, released June 15, 1999
#
# Original idea by Julie Tran, jul@nucleus.com
# http://www.nucleus.com/~jul/ 
#
# We use cgi-lib.pl by Steven E. Brenner, cgi-lib@pobox.com
# http://cgi-lib.stanford.edu/cgi-lib/
#

### CONFIGURATION - DEFAULTS ###

# The name of the default directory where the journal entries are stored.
# Just make sure it exists (create it). Anyway, you put entries there.
# By default, this script uses a directory called "journal" 
# UNDER (within) the directory where the script itself resides:
	$folder_name = "journal";

# The script can handle more than one journal if necessary.
# Each journal entries reside in their own directory which should be 
# UNDER (within) the directory where the script itself resides.
# Each journal directory must contain three special files:
# (1) individual configuration, (2) header and (3) footer.
# It's up to you to create directories and place these files in there.
# You may name these files whatever you like (just keep the .pl or .cgi 
# extension for the configuration file). If you wish to use filenames 
# other than defaults, change the next three variables.

# File name (no path!) of the individual journal configuration file.
# Configuration file is a PL file where we initialize variables that 
# define the journal's behaviour:
	$jconfig_name = "jconfig.pl";

# File name (no path!) of the journal header file.
# Header file is a normal HTML file which defines the output format. 
# The script will first print this HTML file and then print the 
# journal entry or outline so that you can control the output
# of the journal directly from this header file:
	$header_name = "jheader.html";

# File name (no path!) of the journal footer file.
# Footer file is a normal HTML file which closes all tags opened 
# in the header file and finishes the output with </BODY></HTML>:
	$footer_name = "jfooter.html";

### END OF DEFAULT CONFIGURATION ###
1;
