#!/usr/local/bin/perl
#
# Online Journal program by Sergey Zozulevich, zuzusoft@usa.net
# http://kompashka.hypermart.net/download/
#
# Original idea by Julie Tran, jul@nucleus.com
# http://www.nucleus.com/~jul/ 
#
# We use cgi-lib.pl by Steven E. Brenner, cgi-lib@pobox.com
# http://cgi-lib.stanford.edu/cgi-lib/
#

### CONFIGURATION - INDIVIDUAL JOURNAL SETTINGS ###

### FORMAT JOURNAL OUTLINE ###

# Set the default startup behaviour for this journal. 
# Which page should the script open by default?
# "1" means the first entry, "0" means outline.
# Any other value means the last entry:
	$default_startup = "0";

# If you wish the chapters to be listed in reverse order in the outline,
# set the next variable to true. Empty string means - list in direct order:
	$reverse_order = "";

# Chapter number, determined as the chapter's filename without extension,
# may be preceded with a word "Chapter ", "Page " or some symbol
# when the journal outline is printed:
	$chapter_prefix = "#";

### FORMAT CHAPTER TITLE AND TEXT ###

# You may, of course, wish to put tags directly into each entry's file.
# In this case, clear the next five variables.

# If you wish line breaks (hard returns) to be converted to <BR> tags,
# set the next variable to true. Empty string means - ignore line breaks:
	$lf_to_br = "true";

# If you wish to format the chapter's title specially, 
# put the desired tags in the next variable:
	$title_format = "<B>";

# Close the title format tags in the next variable, if necessary.
# You may also open other tags for the chapter text here:
	$title_format_close = "</B>";

# If you wish to format the chapter's text specially, 
# put the desired tags in the next variable:
	$text_format = "";

# Close the chapter text's format tags in the next variable, if necessary.
# You may also open other tags for the chapter text here:
	$text_format_close = "";

### CONFIGURE AND FORMAT NAVIGATION BAR ###

# URL for the link like "Home", or "Up":
	$home_link_url = "http://YOURURL.COM";

# If you wish to format the navigation links specially, 
# put the desired tags in the next variable:
	$navbar_format = "<center>";

# Close the navbar format tags in the next variable, if necessary:
	$navbar_format_close = "</center>";

# Enter desired texts for navigation links.
# Empty string means - don't print this link:
	$first_link_text = "\&lt\;\&lt\;";
	$prev_link_text = "\&lt\;";
	$next_link_text = "\&gt\;";
	$last_link_text = "\&gt\;\&gt\;";
	$contents_link_text = "contents";
	$home_link_text = "home";

# NOTE: $contents_link_text will be also used as the contents' title!

# If you wish to enclose links in brackets - good old style, here you are.
# If no, clear the next two variables (say, to use image tags for links).
# You may also separate links with pipes or bullets - if so, set the
# $left_link_bracket ONLY - say, to "\&\#149\;" for bullet:
	$left_link_bracket = "[";
	$right_link_bracket = "]";

### END OF INDIVIDUAL CONFIGURATION ###
1;
